#include <err.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "util.h"

int
main(void)
{
	size_t i, j, nf, nr;
	double **vals = NULL;

	if (pledge("stdio", NULL) == -1)
		err(2, "pledge");

	nr = fscanmatrix(stdin, &vals, &nf);

	for (i = 0; i < nf; i++) {
		for (j = 0; j < nr; j++) {
			printf("%.17g", vals[j][i]);
			if (j < nr - 1)
				printf(DELIMSTR);
		}
		puts("");
	}

	for (i = 0; i < nr; i++)
		free(vals[i]);
	free(vals);

	return 0;
}
